### Method

# Gtk.Snapshot.free_to_paintable

#### Declaration [src]

    GdkPaintable*
    gtk_snapshot_free_to_paintable (
      GtkSnapshot* snapshot,
      const graphene_size_t* size
    )

#### Description [src]

Returns a paintable for the node that was constructed by `snapshot` and frees `snapshot`.

#### Parameters

`size` | `const graphene_size_t*`
| The size of the resulting paintable or `NULL` to use the bounds of the snapshot
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPaintable*`
a newly-created `GdkPaintable`
Ownership of the data is transferred to the caller